MONGOC_DATABASE_GET_COLLECTION_NAMES(3)

NAME
mongoc_database_get_collection_names - mongoc_database_get_collection_names()

WARNING: Deprecated since version 1.9.0: This function is deprecated and should not be used in new code.

Please use mongoc_database_get_collection_names_with_opts() in new code.

SYNOPSIS

char **
mongoc_database_get_collection_names (mongoc_database_t *database,
                                      bson_error_t *error)
   BSON_GNUC_WARN_UNUSED_RESULT
   BSON_GNUC_DEPRECATED_FOR (mongoc_database_get_collection_names_with_opts);

DESCRIPTION

Fetches a NULL terminated array of NULL-byte terminated char* strings containing the names of all of the collections in database.

This function is considered a retryable read operation. Upon a transient error (a network error, errors due to replica set failover, etc.) the operation is safely retried once. If retryreads is false in the URI (see mongoc_uri_t) the retry behavior does not apply.

PARAMETERS

•   database: A mongoc_database_t.

•   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A NULL terminated array of NULL terminated char* strings that should be freed with bson_strfreev(). Upon failure, NULL is returned and error is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc